Page MenuHomePhabricator

[AMDGPU][llvm-mc] s_getreg/setreg* - Add hwreg(...) syntax.
ClosedPublic

Authored by artem.tamazov on Apr 20 2016, 8:53 AM.

Details

Summary

Added hwreg(reg[,offset,width]) syntax.
Default offset = 0, default width = 32.
Possibility to specify 16-bit immediate kept.
Added out-of-range checks.
Disassembly is always to hwreg(...) format.
Tests updated/added.

Diff Detail

Repository
rL LLVM

Event Timeline

artem.tamazov retitled this revision from to [AMDGPU][llvm-mc] s_getreg/setreg* - Add hwreg(...) syntax..
artem.tamazov updated this object.
artem.tamazov set the repository for this revision to rL LLVM.
artem.tamazov added a project: Restricted Project.
artem.tamazov added a subscriber: Restricted Project.
arsenm accepted this revision.Apr 22 2016, 4:01 PM
arsenm edited edge metadata.

LGTM. Were there symbolic names for these? I think I've seen them in dumps before

lib/Target/AMDGPU/InstPrinter/AMDGPUInstPrinter.cpp
764 ↗(On Diff #54379)

Indentation looks off

This revision is now accepted and ready to land.Apr 22 2016, 4:01 PM
artem.tamazov edited edge metadata.

lndentation fixed.

artem.tamazov marked an inline comment as done.Apr 25 2016, 6:36 AM
nhaustov accepted this revision.Apr 25 2016, 6:44 AM
nhaustov edited edge metadata.

Ok.

artem.tamazov edited edge metadata.

Somehow forgotten CodeGen test updated

This revision was automatically updated to reflect the committed changes.